## Function `phase( t, period )`

Description:
  Returns the phase of a value within a period.

  For positive period, the returned value is in the range [0,1).

Parameters:
  `t` (floating point)
    value
  `period` (floating point)
    folding period

Return Value (floating point):
  mod(t,period)/period

Examples:
  - `phase(7, 4) = 0.75`
  - `phase(-1000.5, 2.5) = 0.8`
  - `phase(-3300, 33) = 0`

Signature:
  `double phase(double, double)`